Uploaded image for project: 'MongoDB Database Tools'
  1. MongoDB Database Tools
  2. TOOLS-1453

VerifySystemAuthVersion should only check for authSchema in system.version

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.3.14
    • Component/s: mongodump
    • Labels:
      None
    • Sprint:
      Platforms 2016-10-10
    • Documentation Changes:
      Not Needed

      Description

      In 3.4, system.version may contain other documents besides authSchema and therefor VerifySystemAuthVersion needs a predicate to count documents.

        Attachments

          Activity

            People

            Assignee:
            mark.benvenuto Mark Benvenuto
            Reporter:
            mark.benvenuto Mark Benvenuto
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: